summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEric Engestrom <eric.engestrom@imgtec.com>2017-02-03 18:21:10 +0000
committerEric Engestrom <eric.engestrom@imgtec.com>2017-02-28 13:34:26 +0000
commit1bf96af525436d3727d44d137fe922b491512b14 (patch)
treefd0318246787094e9aa8bc11c63868c36dd1b790
parenta6cdfa5cd8cc953ffec4497cd8262059c4b14675 (diff)
autogen.sh: run git commands in the (potentially) git dir
If the build dir is outside of the git dir, the order matters :) Signed-off-by: Eric Engestrom <eric.engestrom@imgtec.com> Reviewed-by: Chad Versace <chadversary@chromium.org> Reviewed-by: Emil Velikov <emil.velikov@collabora.com>
-rwxr-xr-xautogen.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index d0030969..13d6991e 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,15 +6,15 @@ test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
cd "$srcdir"
-autoreconf --force --verbose --install || exit 1
-cd "$ORIGDIR" || exit $?
-
git config --local --get format.subjectPrefix >/dev/null ||
git config --local format.subjectPrefix "PATCH libdrm" 2>/dev/null
git config --local --get sendemail.to >/dev/null ||
git config --local sendemail.to "dri-devel@lists.freedesktop.org" 2>/dev/null
+autoreconf --force --verbose --install || exit 1
+cd "$ORIGDIR" || exit $?
+
if test -z "$NOCONFIGURE"; then
"$srcdir"/configure "$@"
fi